For the complete documentation index, see llms.txt. This page is also available as Markdown.

List stock

Lists all stock on a warehouse. Use the Accept header to choose the response format

Available formats: json, PDF and spreadsheet (excel file).

Required permissions: WAREHOUSE, REPORTING

get
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
productGroupUidsstring[]Optional

Reference to a list of productGroup Ids.

brandUidsstring[]Optional

Reference to a list of brand Ids.

Responses
200

Example response

string · binaryOptional
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

binary

Last updated

Was this helpful?